# Interface PathTypes`Internal`

interface PathTypes {
entering: PathType;
exiting: PathType;
from: PathType;
retained: PathType;
to: PathType;
[key: string]: PathType;
}

#### Indexable

- [key: string]: PathType

- Defined in src/router/transition/interface.ts:882

##### Index

### Properties

entering
exiting
from
retained
to

## Properties

### entering

entering: PathType

- Defined in src/router/transition/interface.ts:889

### exiting

exiting: PathType

- Defined in src/router/transition/interface.ts:887

### from

from: PathType

- Defined in src/router/transition/interface.ts:886

### retained

retained: PathType

- Defined in src/router/transition/interface.ts:888

### to

to: PathType

- Defined in src/router/transition/interface.ts:885